<?php
/**
 * HUBzero CMS
 *
 * Copyright 2005-2015 HUBzero Foundation, LLC.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * HUBzero is a registered trademark of Purdue University.
 *
 * @package   hubzero-cms
 * @author    Rob Campbell <rcampbel@purdue.edu>
 * @copyright Copyright 2005-2015 HUBzero Foundation, LLC.
 * @license   http://opensource.org/licenses/MIT MIT
 */

namespace Components\Irods\Site\Controllers;

/**
* Base controller class
*/
class Irods extends \Hubzero\Component\SiteController
{
	/**
	* Execute a task
	*
	* @return     void
	*/
	public function execute()
	{
		$this->registerTask('__default', 'none');
		parent::execute();
	}

	// TODO Restrict proxies to a set of configured domains?

	// Proxy for OpenLayers to access geoserver
	public function geosrvproxyTask()
	{
		$url     = Request::getVar('url','','get');
		$query   = file_get_contents("php://input");
		$contype = array('Content-Type: application/xml','Content-Length: '.strlen($query));

		$curlh   = curl_init();
		curl_setopt($curlh,CURLOPT_URL           ,$url    );
		curl_setopt($curlh,CURLOPT_POST          ,TRUE    );
		curl_setopt($curlh,CURLOPT_SSL_VERIFYPEER,FALSE   ); // No need to verify since its our server
		curl_setopt($curlh,CURLOPT_SSL_VERIFYHOST,2       ); // 2 = Check existence of common name, verify matches hostname provided
		curl_setopt($curlh,CURLOPT_POSTFIELDS    ,$query  ); // (was: @$GLOBALS["HTTP_RAW_POST_DATA"])
		curl_setopt($curlh,CURLOPT_RETURNTRANSFER,TRUE    ); // We want a response
		curl_setopt($curlh,CURLOPT_HTTPHEADER    ,$contype); // Change requested content type
		$results = curl_exec($curlh);
		curl_close($curlh);

		echo $results;
		die;  // Needed to stop from rendering the template
	}

/*
	// Proxy for getting proj4js scripts w/o using HTTPS
	public function p4jproxyTask()
	{
		$url     = Request::getVar('url','','get');
		$query   = file_get_contents("php://input");

		$curlh   = curl_init();
		curl_setopt($curlh,CURLOPT_URL           ,$url  );
		curl_setopt($curlh,CURLOPT_POST          ,TRUE  );
		curl_setopt($curlh,CURLOPT_POSTFIELDS    ,$query);
		curl_setopt($curlh,CURLOPT_RETURNTRANSFER,TRUE  ); // We want a response
		$results = curl_exec($curlh);
		curl_close($curlh);

		header("Content-Type: application/javascript",TRUE);
		echo $results;
		die;  // Needed to stop from rendering the template
	}
*/
}
