<?php
/**
 * HUBzero CMS
 *
 * Copyright 2005-2015 HUBzero Foundation, LLC.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * HUBzero is a registered trademark of Purdue University.
 *
 * @package   hubzero-irods
 * @author    Rob Campbell <rcampbel@purdue.edu>
 * @copyright Copyright 2005-2015 HUBzero Foundation, LLC.
 * @license   http://opensource.org/licenses/MIT MIT
 */

// ''' (For editor's Python syntax highlighting)

defined('_HZEXEC_') or die();   // No direct access
$this->css('irods');   // Add the irods stylesheet
$this->js('ol2' . DS . 'OpenLayers.js');

// Use OL's default theme then override some of it
$this->css('.' . DS . 'js' . DS . 'ol2' . DS . 'theme' . DS . 'default' . DS . 'style.css');
$this->css('olmap.css');

$this->css('jquery.ui.css','system'); // Resizable divs

// Map viewer support
$this->css('geomap.css');
$this->js( 'geomap.js' );
//$this->js('brython.js');

// TODO Use language
?>

<div id="map-viewer" class="width-container">
	<script src="https://maps.google.com/maps/api/js?v=3.5&amp;sensor=false"></script>

	<!-- Call map viewer (and prepend projections with 'EPSG:') -->
	<script type="text/javascript">
		$(document).ready(function () {
			geoMap.init(
				'<?php   echo $this->gsurl;?>'
				,'<?php  echo $this->ws;   ?>'
				,[ <?php foreach ($this->layers as $layer) { echo "'"      . $layer . "',"; } ?> ]
				,[ <?php foreach ($this->types  as $type)  { echo "'"      . $type  . "',"; } ?> ]
				,[ <?php foreach ($this->projs  as $proj)  { echo "'EPSG:" . $proj  . "',"; } ?> ]
				,[ <?php foreach ($this->erred  as $erred) { echo "'"      . $erred . "',"; } ?> ]
				,[ <?php foreach ($this->nlim   as $nlim)  { echo "'"      . $nlim  . "',"; } ?> ]
				,[ <?php foreach ($this->elim   as $elim)  { echo "'"      . $elim  . "',"; } ?> ]
				,[ <?php foreach ($this->wlim   as $wlim)  { echo "'"      . $wlim  . "',"; } ?> ]
				,[ <?php foreach ($this->slim   as $slim)  { echo "'"      . $slim  . "',"; } ?> ]
				,'<?php  echo $this->styles;?>'
			);
		});
	</script>

	<!-- Output areas for map viewer -->
	<div id="panel">
		<div id="inner">
			<div id="basepros">
				<div class="dataLbl copycat" onclick="openClose('basepros');">Base Provider<span class="basepros-sign sign">- Hide -</span></div>
				<div class="sectionDiv basepros-area">
					<label class="labelSpan olButton"><input id="osmbase"    name="baseproradio" type="radio" value="" checked class="olButton"> OpenStreetMap</label><br>
					<label class="labelSpan olButton"><input id="bingbase"   name="baseproradio" type="radio" value=""         class="olButton"> Bing</label><br>
					<label class="labelSpan olButton"><input id="googlebase" name="baseproradio" type="radio" value=""         class="olButton"> Google</label><br>
					<label class="labelSpan olButton"><input id="basicbase"  name="baseproradio" type="radio" value=""         class="olButton"> iData</label><br>
				</div>
			</div>
			<div id="layerswitcher" class="olControlLayerSwitcher"></div>
			<div id="colors">
				<div class="dataLbl copycat" onclick="openClose('colors');">Legend<span class="colors-sign sign">- Hide -</span></div>
				<div id="colorlegends" class="sectionDiv colors-area"></div>
			</div>
			<div id="info"></div>
		</div>
	</div>
	<div id="map"></div>
	<br>
</div>
