<?php
/**
 * HUBzero CMS
 *
 * Copyright 2005-2015 HUBzero Foundation, LLC.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 * HUBzero is a registered trademark of Purdue University.
 *
 * @package   hubzero-cms
 * @copyright Copyright 2005-2015 HUBzero Foundation, LLC.
 * @license   http://opensource.org/licenses/MIT MIT
 */

// No direct access
defined('_HZEXEC_') or die();
$result = $this->result;
?>

<div class="result">
	<div class="result-body">

		<!-- Title : mandatory -->
		<h3 class="result-title"><a href="<?php echo $result['url']; ?>"><b><!-- highlight portion --></b><?php echo $result['title']; ?></a></h3>

		<div class="result-extras">
			<!-- Cateogory : mandatory -->
			<span class="result-category"><?php echo ucfirst($result['hubtype']); ?></span>

			<! -- Date -->
			<?php if (isset($result['date'])): 
				$date = new \Hubzero\Utility\Date($result['date']); ?>
			<span class="result-timestamp"><time datetime="<?php echo $result['date'] ?>"><?php echo $date->toLocal('Y-m-d h:mA'); ?></time></span>
			<?php endif; ?>

			<!-- Authors -->
			<?php if (isset($result['author'])) { ?>
			<span class="result-authors">
				<span class="result-author"><?php echo $result['authorString']; ?></span>
			</span>
			<?php } else if(isset($result['project'])) { ?>
			<span class="result-authors">
				<span class="result-author"><?php echo $result['project']; ?></span>
			</span>
			<?php } ?>

		</div>
		<!-- Snippet : mandatory -->
		<div class="result-snippet">
		<?php echo $result['snippet']; ?>
		</div><!-- end result snippet -->

		<?php if (isset($result['tags'])): ?>
		<!-- Tags -->
		<div class="result-tags">
			<ul class="tags">
				<?php foreach ($result['tags'] as $tag): ?>
				<li><a class="tag" href="#"><?php echo $tag; ?></a></li>
				<?php endforeach; ?>
			</ul>
		</div>
		<?php endif; ?>

		<!-- Result URL -->
		<div class="result-url"><a href="<?php echo $result['url'] ?>"><?php echo $result['url']; ?></a></div> 

	</div> <!-- End Result Body -->
</div> <!-- End Result -->
